package com.jz.dm.service.request;

import com.jz.common.constant.ResultMsg;
import com.jz.common.utils.Result;
import com.jz.dm.common.enums.GeneralStatusTypeEnum;
import com.jz.dm.common.enums.apiInterface.ApiStatusEnum;
import com.jz.dm.common.exception.GatewayException;
import com.jz.dm.models.domian.ApiAuth;
import com.jz.dm.models.domian.ApiInterface;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.service.request
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: ApiParamVerify
 * @DATE: 2021-1-9/15:53
 * @DAY_NAME_SHORT: 周六
 * @Description: api参数验证
 **/
public class ApiParamVerify {

    /**
     * 校验Api信息
     * @param apiInterface
     * @return
     */
    public  Result verifyApiInterface(ApiInterface apiInterface){
        if (null == apiInterface){
            throw new GatewayException("300",ResultMsg.DATA_NOT_FOUND.getMsg());
      }
      if (!ApiStatusEnum.ISSUE.name().equals(apiInterface.getStatus())){
          throw new GatewayException("300","API未发布!");
      }
      if (1 == apiInterface.getIsDeleted()){
          throw new GatewayException("300","API不存在!");
      }
      return Result.of_success(ResultMsg.SUCCESS);
    }

    /**
     * 校验授权
     * @param apiAuth
     * @return
     */
    public  Result verifyAuth(ApiAuth apiAuth){
        if (null == apiAuth){
            throw new GatewayException("300",ResultMsg.DATA_NOT_FOUND.getMsg());
        }
        if (!GeneralStatusTypeEnum.VALID.name().equals(apiAuth.getStatus())){
            throw new GatewayException("300","无效授权!");
        }
        if (1 == apiAuth.getIsDeleted()){
            throw new GatewayException("300","授权信息无效!");
        }
        return Result.of_success(ResultMsg.SUCCESS);
    }
}
