package com.jz.common.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 企业(TDepartment)实体类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:34
 */
@TableName("t_department")
@ApiModel
@Data
public class Department implements Serializable {
    private static final long serialVersionUID = -86955761674824098L;
    /**
     * 企业id
     */
    private Long departmentId;
    /**
     * 企业名称
     */
    private String departmentName;
    /**
     * 法人代表
     */
    private String legalRepresentative;
    /**
     * 省份
     */
    private String province;
    /**
     * 城市
     */
    private String city;

    private String linkman;
    /**
     * 行业
     */
    private String industry;
    /**
     * 联系电话
     */
    private String telephone;
    /**
     * 注册地址
     */
    private String registeredAddress;
    /**
     * 区域编码
     */
    private Object zoneCode;
    /**
     * 企业照片
     */
    private String departPicture;
    /**
     * 营业执照
     */
    private String businessLicense;
    /**
     * 税务登记
     */
    private String taxRegistration;
    /**
     * 企业照片(代码)到期时间
     */
    private Date departPictureTime;
    /**
     * 营业执照到期时间
     */
    private Date businessLicenseTime;
    /**
     * 税务登记到期时间
     */
    private Date taxRegistrationTime;
    /**
     * 统一社会信用代码
     */
    private String unifiedCreditCode;
    /**
     * 开户行名称
     */
    private String bankName;
    /**
     * 银行卡号
     */
    private String bankCardNumber;
    /**
     * 开户行地址
     */
    private String bankAddress;
    /**
     * 开户行号
     */
    private String bankNo;
    /**
     * 审核状态：01待审核，02已审核，03未通过
     */
    private String auditStatus;
    /**
     * 驳回原因
     */
    private String rejectReason;
    /**
     * 审核人
     */
    private String auditPerson;
    /**
     * 审核时间
     */
    private Date auditTime;
    /**
     * 创建时间
     */
    private Date creTime;
    /**
     * 创建人
     */
    private String crePerson;
    /**
     * 更新时间
     */
    private Date uptTime;
    /**
     * 更新人
     */
    private String uptPerson;
    /**
     * 删除标识
     */
    private String delFlag;


}