package com.jz.dm.mall.moduls.controller.company.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.mall.moduls.controller.company.bean
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: CompanyAddReq
 * @USER: key
 * @DATE: 2020-12-2/16:42
 * @DAY_NAME_SHORT: 周三
 * @Description:
 **/
@Data
@ApiModel("添加企业认证请求体")
public class CompanyAddReq implements Serializable {



    @ApiModelProperty(value = "企业名称",required = true)
    @NotNull(message = "企业名称不能为空")
    private String departmentName;

    @ApiModelProperty(value = "省",required = true)
    @NotNull(message = "省信息不能为空")
    private String province;
    @ApiModelProperty(value = "市",required = true)
    @NotNull(message = "市信息不能为空")
    private String city;

    @ApiModelProperty(value = "公司详细地址",required = true)
    @NotNull(message = "公司详细地址不能为空")
    private String registeredAddress;

    @ApiModelProperty(value = "统一社会编码",required = true)
    @NotNull(message = "统一社会编码不能为空")
    private String unifiedCreditCode;
    @ApiModelProperty(value = "营业执照照片",required = true)
    @NotNull(message = "营业执照照片不能为空")
    private String businessLicense;

    @ApiModelProperty(value = "开户银行",required = true)
    @NotNull(message = "开户银行不能为空")
    private String bankName;
    @ApiModelProperty(value = "银行账户",required = true)
    @NotNull(message = "银行账户不能忍为空")
    private String bankCardNumber;

    @ApiModelProperty(value = "联系人名称",required = true)
    @NotNull(message = "联系人名称不能为空")
    private String linkman;
    @ApiModelProperty(value = "联系人电话",required = true)
    @NotNull(message = "联系人电话不能为空")
    private String telephone;

    @ApiModelProperty(value = "登录用户id",hidden = true)
    private Long loginId;
    @ApiModelProperty(value = "登录用户名称",hidden = true)
    private String loginName;

    @ApiModelProperty(value = "用户角色 2:卖方，3:买方")
    private Long roleId;
}
