package com.jz.dm.mall.moduls.controller.finance;


import com.jz.common.base.BaseController;
import com.jz.common.utils.Result;
import com.jz.dm.mall.moduls.controller.finance.bean.FinanceCustomerAssetsReq;
import com.jz.dm.mall.moduls.service.FinanceCustomerAssetsService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.math.BigDecimal;

/**
 * 商城企业客户资产(TFinanceCustomerAssets)表控制层
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:38
 */
@RestController
@RequestMapping("financeCustomerAssets")
@Api(tags = "商城企业客户资产--controller")
public class FinanceCustomerAssetsController extends BaseController {
    /**
     * 服务对象
     */
    @Autowired
    private FinanceCustomerAssetsService assetsService;

    @PostMapping("/findAssets")
    @ApiOperation(value = "查询余额是否充足-调用接口")
    public Result findAssets(@RequestBody @Validated FinanceCustomerAssetsReq req) throws Exception{
        Result result = new Result();
        try {
            result = assetsService.findAssets(req);
        }catch (Exception e) {
            e.printStackTrace();
        }
        return result;
    }

    @PostMapping(value = "/unfreezeMoney")
    @ApiOperation(value = "解冻金额-调用接口", notes = "解冻金额扣钱")
    public Result unfreezeMoney(@RequestBody @Validated FinanceCustomerAssetsReq req) throws Exception {
        Result result = assetsService.unfreezeMoney(req);
        return result;
    }
}