package com.jz.dm.mall.moduls.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/1/14
 * @Version:
 */
@TableName("t_mall_menu")
@ApiModel
@Data
public class MallMenu implements Serializable {
    private static final long serialVersionUID = -6052333871675767623L;

    /**
     * 菜单ID
     */
    @TableId(value = "menu_id",type = IdType.AUTO)
    private Long menuId;
    /**
     * 菜单名称
     */
    @ApiModelProperty(value = "菜单名称")
    private String menuName;
    /**
     * 菜单路径
     */
    @ApiModelProperty(value = "菜单路径url")
    private String url;
    /**
     * 父级id
     */
    @ApiModelProperty(value = "父级id")
    private Long parentId;
    /**
     * 是否为子节点:Y是，N否
     */
    @ApiModelProperty(value = "是否为子节点:Y是，N否")
    private String ifChild;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date creTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private Long crePerson;
    /**
     * 删除标识：Y删除，N未删除
     */
    @ApiModelProperty(value = "删除标识：Y删除，N未删除")
    private String delFlag;

    private List<MallMenu> children;
}
