package com.jz.dm.mall.moduls.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jz.common.bean.PageInfoResponse;
import com.jz.common.utils.Result;
import com.jz.dm.mall.moduls.controller.customer.bean.dto.PurchaserUserCenterDto;
import com.jz.dm.mall.moduls.controller.customer.bean.req.PurchaserUserCenterReq;
import com.jz.dm.mall.moduls.controller.order.bean.*;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * 订单表(TOrder)表服务接口
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:40
 */
public interface OrderService {


    PageInfoResponse<OrderDto> findList(OrderRequest order, HttpServletRequest req) throws Exception;

    OrderDto getOrderDetail(String orderId) throws Exception;

    Map getApiInterfaceDetail(Map params) throws Exception;

    /**
     * 重置盐值
     * @param req
     * @return
     */
    Result updateSalt(SaltResetReq req);

    Result<IPage<OrderBySellerDto>> queryPageListBySeller(OrderRequest req, HttpServletRequest httpServletRequest);

    Result<PurchaserUserCenterDto> userCenter(PurchaserUserCenterReq req);

    PageInfoResponse<OrderByPurchaserDto> queryPageListByPurchaser(OrderRequest req);

    Result getApiKey();

}