package com.jz.manage.moduls.controller.sys;

import com.jz.common.constant.RedisMessageConstant;
import com.jz.common.entity.SysUser;
import com.jz.common.utils.Result;
import com.jz.common.utils.SessionUtils;
import com.jz.common.utils.StatusCode;
import com.jz.manage.moduls.controller.BaseController;
import com.jz.manage.moduls.controller.sys.bean.req.LoginRequest;
import com.jz.manage.moduls.service.SysUserService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.*;

import javax.security.auth.Subject;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.util.Map;

@RestController
@RequestMapping("/sys")
@Api(tags = "用户登录api")
public class LoginController extends BaseController {

    @Autowired
    private SysUserService sysUserService;

    @Autowired
    private RedisTemplate redisTemplate;
    /**
     * 登录功能
     * @return
     */
    @PostMapping(value = "login")
    @ApiOperation(value = "商城用户登陆-角色")
    public Result login(@RequestBody LoginRequest user, HttpServletRequest request) {
        if (!StringUtils.isEmpty(user)) {
            String username = user.getUsername();
            String password = user.getPassword();
            // 手机
            String ph = "^[1][34578]\\d{9}$";
            // 如果是手机验证
            if (username.matches(ph)) {
                SysUser sysUser = sysUserService.selectByPhone(username, request);
                if (sysUser != null) {
                    if (sysUser.getTelephone().equals(username) && sysUser.getPassword().equals(password)) {
                        return new Result<>(true, "登录成功！", StatusCode.OK);
                    }
                    return new Result<>(false, "用户名或密码错误！", StatusCode.ERROR);
                }
            }
            SysUser sysUser = sysUserService.selectByUsername(username, request);
            if (sysUser != null) {
                if (sysUser.getAccount().equals(username) && sysUser.getPassword().equals(password)) {
                    return new Result<>(true, "登录成功！", StatusCode.OK);
                }
            }
            return new Result<>(false, "用户名或密码错误！", StatusCode.ERROR);
        }
        return new Result(false, "用户名密码不能为空！", StatusCode.ERROR);
    }
}
