package com.jz.manage.moduls.controller.sys;

import com.jz.common.constant.RedisMessageConstant;
import com.jz.common.utils.Result;
import com.jz.common.utils.SMSUtils;
import com.jz.common.utils.StatusCode;
import com.jz.common.utils.ValidateCodeUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.concurrent.TimeUnit;

/**
 * @ClassName: 手机发送验证码
 * @Author: Carl
 * @Date: 2020/12/1
 * @Version:
 */
@RestController
@RequestMapping("/ValidateCode")
public class ValidateCodeController {

    @Autowired
    private RedisTemplate redisTemplate;

    @PostMapping(value = "/sendForCode")
    public Result sendForCode(String telephone) {
        String key = RedisMessageConstant.SENDTYPE_LOGIN + "_" + telephone;
        // 通过手机号从redis获取验证码
        String codeInRedis = (String) redisTemplate.opsForValue().get(key);

        if (codeInRedis!=null && !codeInRedis.equals("")) {
            // redis中的验证码还未过期
            return new Result(false,"验证码发送失败！", StatusCode.ERROR);
        } else {
            // redis中无此手机号的验证码，发送验证码
            Integer code = ValidateCodeUtils.generateValidateCode(6);
            SMSUtils.sendMessage(SMSUtils.loginTemplate,code, telephone);
            redisTemplate.opsForValue().set(key,code,5, TimeUnit.MINUTES);
            return new Result(true, "验证码发送成功！", StatusCode.OK);
        }
    }
}
