package com.jz.manage.moduls.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 日志管理(TPlatformLog)实体类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:42
 */
@TableName("t_platform_Log")
@ApiModel
@Data
public class PlatformLog implements Serializable {
    private static final long serialVersionUID = 112371340504875570L;
    /**
     * 日志id
     */
    @ApiModelProperty(value = "日志id")
    private Long platformLogId;
    /**
     * 请求ip
     */
    @ApiModelProperty(value = "请求ip")
    private String requestIp;
    /**
     * 调用人id
     */
    @ApiModelProperty(value = "调用人id")
    private String callerId;
    /**
     * 商品id
     */
    @ApiModelProperty(value = "商品id")
    private Long dataGoodsId;
    /**
     * apikey
     */
    @ApiModelProperty(value = "apikey")
    private String apiKey;
    /**
     * 请求参数
     */
    @ApiModelProperty(value = "请求参数")
    private String requestParams;
    /**
     * 返回参数
     */
    @ApiModelProperty(value = "返回参数")
    private String returnParams;
    /**
     * 请求路径
     */
    @ApiModelProperty(value = "请求路径")
    private String requestUrl;
    /**
     * 请求时间
     */
    @ApiModelProperty(value = "请求时间")
    private Date requestTime;
    /**
     * 服务类型：01年，02月，03次
     */
    @ApiModelProperty(value = "服务类型")
    private String serviceType;
    /**
     * 数据类型：01api，02数据包
     */@ApiModelProperty(value = "数据类型")
    private String dataGoodsType;
    /**
     * 下载地址
     */
    @ApiModelProperty(value = "下载地址")
    private String downloadAddress;
    /**
     * 数据商品单价
     */
    @ApiModelProperty(value = "数据商品单价")
    private BigDecimal dataPrice;
    /**
     * 价格类型：01免费，02收费
     */
    @ApiModelProperty(value = "价格类型")
    private String priceType;
    /**
     * 调用总次数
     */
    @ApiModelProperty(value = "调用总次数")
    private Long totalTimes;
    /**
     * 已使用次数
     */
    @ApiModelProperty(value = "已使用次数")
    private Long usedTimes;
    /**
     * 剩余次数
     */
    @ApiModelProperty(value = "剩余次数")
    private Long remainTimes;
    /**
     * 有效开始时间
     */
    @ApiModelProperty(value = "有效开始时间")
    private Date startTime;
    /**
     * 有效结束时间
     */
    @ApiModelProperty(value = "有效结束时间")
    private Date endTime;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date creTime;
    /**
     * 删除标识
     */
    @ApiModelProperty(value = "删除标识")
    private String delFlag;

    @ApiModelProperty(value = "调用人")
    @TableField(exist = false)
    private String customerName;

    @ApiModelProperty(value = "请求状态：01成功，02失败")
    private String requestType;
}