package com.jz.manage.moduls.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jz.common.base.BaseMapper;
import com.jz.manage.moduls.controller.finance.platForm.CashOutListDto;
import com.jz.manage.moduls.controller.finance.platForm.DepartmentAssetsDto;
import com.jz.manage.moduls.entity.Department;
import com.jz.manage.moduls.controller.customer.bean.dto.CompanyDetailsDto;
import com.jz.manage.moduls.controller.customer.bean.dto.EnterpriseAuditDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 企业(TDepartment)表数据库访问层
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:35
 */
public interface DepartmentDao extends BaseMapper<Department> {

    /**
     * 条件分页查询企业审核信息表
     * @param
     * @return
     */
    IPage<EnterpriseAuditDto> findList(IPage<EnterpriseAuditDto> page, @Param("ew") Wrapper<EnterpriseAuditDto> query);

    /**
     * 主键获取用户企业详情信息
     * @param id
     * @return
     */
    CompanyDetailsDto selectById(@Param("departmentId") Long id);

    DepartmentAssetsDto selectByDepartment(@Param("ew")QueryWrapper<DepartmentAssetsDto> query);
}